Subject: Re: New inputs for the init_cygheap::etc_changed problem
From: "Michel D'HOOGE" <[email-masked]>
To: [email-masked]
Cc: "Lassi A. Tuura" <[email-masked]>
Date: Mon, 08 Apr 2002 15:06:00 +0200

"Lassi A. Tuura" a écrit :
> 
> > More interesting: if I give to mount a "cygdrive" path
> > (like "mount /cygdrive/t/cygwin/1.3/etc /etc"), the message disappears.
> > Unfortunately /etc is no longer available after that ("ls /etc" results in
> > "No such file or directory").
> 
> The first argument to cygwin mount is supposed to be a windows native
> path, not a POSIX path.  Hence it is quite expected for this form not to
> work.

I know this is not correct but I think it was interesting to mention
it because in this case the etc_changed function is no longer complaining.
So I believe it found something to open, likely the expected /etc directory.

And according to me, it means that during init_cygheap, the mount table 
is half available. If someone knowledgeable want to dig that way, I am
ready to try further tests.

BTW, the interest (for me) in removing this error is that it hangs the 
ediff function of emacs (at least) because there is an error.

-- 
 Michel D'HOOGE

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/